Apache 2.4

Discussion in 'General' started by cfuze, May 14, 2012.

  1. cfuze

    cfuze New Member

    Has anyone got Apache 2.4 up and running with ISPConfig 3? I am curious to know how it went, have you seen any advantages, and what was required to migrate sites on 2.2 to 2.4.

  2. dclardy

    dclardy Member

    I would think that it would just work, but I am having trouble finding a 2.4 package for Debian that I trust.
  3. cfuze

    cfuze New Member

    I read that some of the rewrites don't work and that some code would need to be changed. I also haven't found a good package yet, so I can't test it either.
  4. dclardy

    dclardy Member

    I would have thought that they would have made all things backwards compatible. I guess that thought was erroneous.
  5. cfuze

    cfuze New Member

    Here are the Apache docs which talk about changing your VHosts files and common problems:


    In other forums, people had all sorts of issues but they all are running things other than what I am running so I am not / never sure if its a platform issue, an admin issue, or a product / code issue.
  6. falko

    falko Super Moderator ISPConfig Developer

    We haven't tested with Apache 2.4 yet since there are no packages available (yet). Hopefully only small changes are needed (if any).

Share This Page